S bacc50fba0933d6b0c1bb23379d3ca53 gem install mysql

バージョンを指定してインストールするときはWebサイトからダウンロードする

1)
rubyforgeにアクセスしてファイルを検索する
http://rubyforge.org/

2)
gem fetchでダウンロードする
gem fetch mysql -v 2.7


インストールでエラーになる場合
# gem install ./mysql-2.7.gem Building native extensions. This could take a while...
ERROR: Error installing ./mysql-2.7.gem:
ERROR: Failed to build gem native extension.

mkmf.logを確認しろと言われるので内容を確認して対応する
今回は次のエラーが出力されていた。
conftest.c:3: 警告: implicit declaration of function ‘mysql_query’


インストール方法は次の様に行う
gem install ./mysql-2.7.gem -- --with-mysql-config=/usr/bin/mysql_config
旧バージョンで表示 ググる ウィキペる 図書る アマゾる つべる ニコる ヤフオクる 英辞る ツイーターで探す

もしかして

    他の人の「gem install mysql」

    S bacc50fba0933d6b0c1bb23379d3ca53

    最新

      最新エントリ

        関連ツイート